Subject: Re: bug#47660: Add link to the ticket when someone reply

From: bo0od <[email-masked]>
Date: Thu, 15 Apr 2021 17:00:03 +0000

To be honest i find this bad thing to use emails to do anything rather 
than online registration and not necessary stuff (means being 
encrypted,manipulated.. just not something important)

Email sucks due to:
* Messages are not encrypted by default which mean it need an extra tool 
to do it and commonly used is GPG/PGP + it needs tool to implement this 
encryption on the messages which mean mail reader/client most commonly 
one used is thunderbird/icedove <- This method having tremendous 
security issues check for example:

- https://efail.de/
- https://www.whonix.org/wiki/OpenPGP#Issues_with_PGP

* Most of the time (not always) heavily rely on clearnet which mean 
issues of TLS/DNS which needs to be hardened otherwise they are exist by 
names but does nothing.

..This is out of scope to discuss this in details, I just want to see 
the bug URL linked to the bottom of the email i receive thats it.

Bonface Munyoki K.:
> bo0od <[email-masked]> writes:
> 
>> what are you talking about? who uses PGP/GPG for
>> a public ticket tracking system?...
>>
> 
> I do. I sign my e-mails as a guarantee to my
> recipients that what you get is truly from
> me. That plus my mail client makes that-- signing
> emails-- way easy to do. I also sign all my
> commits, even on the major platforms. FWIW, even
> on GH, and GL, you could sign your emails when
> replying to an email, thereby having the
> recipients on the Cc see your pgp/ gpg signature,
> while GL/ GH scrapes it off when displaying it's
> contents. However, there are people who sign email
> inline. Here's one such example:
> https://github.com/alezost/guix.el/issues/39
> 
> PS: If you use gnus from Emacs, you should read:
> https://www.gnu.org/software/emacs/manual/html_node/message/Signing-and-encryption.html#Signing-and-encryption
> In my Emacs, I have:
> 
> --8<---------------cut here---------------start------------->8---
> (use-package mm-encode
>    :config (setq mm-encrypt-option 'guided) (setq
>    mm-sign-option 'guided))
> 
> (use-package mml-sec
>    :config (setq mml-secure-openpgp-encrypt-to-self
>    t) (setq mml-secure-openpgp-sign-with-sender t)
>    (setq mml-secure-smime-encrypt-to-self t) (setq
>    mml-secure-smime-sign-with-sender t))
> 
> (use-package epa-file
>    :config (setq
>    epa-file-cache-passphrase-for-symmetric-encryption
>    nil))
> --8<---------------cut here---------------end--------------->8---
> 
> 
>> gitlab,github,trac...etc all giving the ticket
>> URL on the bottom of the message nothing with
>> magic im suggesting here.
>>
>> Maxime Devos:
>>> On Fri, 2021-04-09 at 20:44 +0000, bo0od wrote:
>>>> This work or i search for it also work, But we
>>>> are talking making things much easier and its
>>>> possible through providing the link directly
>>>> to the ticket in bottom, I believe this
>>>> practice followed by all major ticketing
>>>> systems,platforms,projects.. So i dont
>>>> understand whats the big deal having it here
>>>> as well.
>>> Mangling e-mails can cause all kinds of
>>> trouble.  It would mess up git patches, break
>>> messages signed with PGP or S/MIME (does anyone
>>> here actually use S/MIME?), makes some headers
>>> used for spam detection (and more generally,
>>> detecting forged mails) invalid, which will
>>> lead to messages from the mailing list and
>>> @debbugs.gnu.org be marked as spam ...
>>> Greetings, Maxime.
>>>
>>
>>
>>
>>
>